FlexNet inventory agent (Mac) now supports 64-bit only versions of macOS

FlexNet Manager Suite version 2019 R2

A new FlexNet inventory agent (version 14.0.x) is available in FlexNet Manager Suite 2019 R2 that adds support for 64-bit only versions of macOS. As background, 32-bit software is no longer supported in macOS 10.15 (Catalina) and later.

The new FlexNet inventory agent is compatible with all versions of macOS from 10.6 and above. (The installation package combines 32-bit and 64-bit versions for those earlier releases of macOS, and detects and installs the appropriate version for the device.) Automatic upgrade to the new FlexNet inventory agent is available for macOS versions 10.6 and above. Any FlexNet inventory agent running on 10.5 and earlier versions of macOS can no longer self-upgrade, but continues to operate if left in place.

Important: If you have machines that have agents already installed, these need to be upgraded to version 14.0 of the FlexNet inventory agent before the OS is upgraded to macOS 10.15. If the OS is upgraded without first upgrading the installed FlexNet inventory agents, the existing FlexNet inventory agent will no longer be able to run on the inventory device. As a result it would not be possible to use policy to upgrade the FlexNet inventory agent in this scenario. Such a case would require manually upgrading the FlexNet inventory agent.